package at.acdp.urweb.rtde;

public class OutParams {
    public static final String	timestamp	="timestamp"; //	DOUBLE	Time elapsed since the controller was started [s]
    public static final String	target_q	="target_q"; //	VECTOR6D	Target joint positions
    public static final String	target_qd	="target_qd"; //	VECTOR6D	Target joint velocities
    public static final String	target_qdd	="target_qdd"; //	VECTOR6D	Target joint accelerations
    public static final String	target_current	="target_current"; //	VECTOR6D	Target joint currents
    public static final String	target_moment	="target_moment"; //	VECTOR6D	Target joint moments (torques)
    public static final String	actual_q	="actual_q"; //	VECTOR6D	Actual joint positions
    public static final String	actual_qd	="actual_qd"; //	VECTOR6D	Actual joint velocities
    public static final String	actual_current	="actual_current"; //	VECTOR6D	Actual joint currents
    public static final String	joint_control_output	="joint_control_output"; //	VECTOR6D	Joint control currents
    public static final String	actual_TCP_pose	="actual_TCP_pose"; //	VECTOR6D	Actual Cartesian coordinates of the tool: (x,y,z,rx,ry,rz), where rx, ry and rz is a rotation vector representation of the tool orientation
    public static final String	actual_TCP_speed	="actual_TCP_speed"; //	VECTOR6D	Actual speed of the tool given in Cartesian coordinates
    public static final String	actual_TCP_force	="actual_TCP_force"; //	VECTOR6D	Generalized forces in the TCP
    public static final String	target_TCP_pose	="target_TCP_pose"; //	VECTOR6D	Target Cartesian coordinates of the tool: (x,y,z,rx,ry,rz), where rx, ry and rz is a rotation vector representation of the tool orientation
    public static final String	target_TCP_speed	="target_TCP_speed"; //	VECTOR6D	Target speed of the tool given in Cartesian coordinates
    public static final String	actual_digital_input_bits	="actual_digital_input_bits"; //	UINT64	Current state of the digital inputs. 0-7: Standard, 8-15: Configurable, 16-17: Tool
    public static final String	joint_temperatures	="joint_temperatures"; //	VECTOR6D	Temperature of each joint in degrees Celsius
    public static final String	actual_execution_time	="actual_execution_time"; //	DOUBLE	Controller real-time thread execution time
    public static final String	robot_mode	="robot_mode"; //	INT32	Robot mode
    public static final String	joint_mode	="joint_mode"; //	VECTOR6INT32	Joint control modes
    public static final String	safety_mode	="safety_mode"; //	INT32	Safety mode
    public static final String	safety_status	="safety_status"; //	INT32	Safety ststus
    public static final String	actual_tool_accelerometer	="actual_tool_accelerometer"; //	VECTOR3D	Tool x, y and z accelerometer values
    public static final String	speed_scaling	="speed_scaling"; //	DOUBLE	Speed scaling of the trajectory limiter
    public static final String	target_speed_fraction	="target_speed_fraction"; //	DOUBLE	Target speed fraction
    public static final String	actual_momentum	="actual_momentum"; //	DOUBLE	Norm of Cartesian linear momentum
    public static final String	actual_main_voltage	="actual_main_voltage"; //	DOUBLE	Safety Control Board: Main voltage
    public static final String	actual_robot_voltage	="actual_robot_voltage"; //	DOUBLE	Safety Control Board: Robot voltage (48V)
    public static final String	actual_robot_current	="actual_robot_current"; //	DOUBLE	Safety Control Board: Robot current
    public static final String	actual_joint_voltage	="actual_joint_voltage"; //	VECTOR6D	Actual joint voltages
    public static final String	actual_digital_output_bits	="actual_digital_output_bits"; //	UINT64	Current state of the digital outputs. 0-7: Standard, 8-15: Configurable, 16-17: Tool
    public static final String	runtime_state	="runtime_state"; //	UINT32	Program state
    public static final String	elbow_position	="elbow_position"; //	VECTOR3D	Position of robot elbow in Cartesian Base Coordinates
    public static final String	elbow_velocity	="elbow_velocity"; //	VECTOR3D	Velocity of robot elbow in Cartesian Base Coordinates
    public static final String	robot_status_bits	="robot_status_bits"; //	UINT32	Bits 0-3: Is power on | Is program running | Is teach button pressed | Is power button pressed
    public static final String	safety_status_bits	="safety_status_bits"; //	UINT32	Bits 0-10: Is normal mode | Is reduced mode | | Is protective stopped | Is recovery mode | Is safeguard stopped | Is system emergency stopped | Is robot emergency stopped | Is emergency stopped | Is violation | Is fault | Is stopped due to safety
    public static final String	analog_io_types	="analog_io_types"; //	UINT32
}
