package at.acdp.urweb.rtde.packets;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import static at.acdp.urweb.rtde.CommandType.RTDE_CONTROL_PACKAGE_START;
import static at.acdp.urweb.rtde.CommandType.RTDE_TEXT_MESSAGE;

public class RtdeControlStart implements IRtdeData {
    public boolean accepted;

    @Override
    public int getType() {
        return RTDE_CONTROL_PACKAGE_START;
    }

    @Override
    public RtdeControlStart read(DataInputStream di, int length) throws IOException {

        accepted= di.readBoolean();
        return this;
    }

    @Override
    public RtdeControlStart send(DataOutputStream dos) throws IOException {
        sendHeader(dos,0);
        return this;
    }
}
