package at.acdp.urweb.rtde.packets;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import static at.acdp.urweb.rtde.CommandType.RTDE_CONTROL_PACKAGE_PAUSE;
import static at.acdp.urweb.rtde.CommandType.RTDE_CONTROL_PACKAGE_START;

public class RtdeControlPause implements IRtdeData {
    public boolean accepted;

    @Override
    public int getType() {
        return RTDE_CONTROL_PACKAGE_PAUSE;
    }

    @Override
    public RtdeControlPause read(DataInputStream di, int length) throws IOException {
        accepted= di.readBoolean();
        return this;
    }

    @Override
    public RtdeControlPause send(DataOutputStream dos) throws IOException {
        sendHeader(dos,0);
        return this;
    }
}
